@import url('https://fonts.googleapis.com/css2?family=Noto+Sans&display=swap');

* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}

.limpiarEstilos::after {
    content: "";
    display: table;
    clear: both;
}

body {
    color: #555;
    font-family: 'Noto Sans', sans-serif;
    font-size: 16px;
    position: relative;
    height: 100vh;
    font-weight: 400;
}

.derecha { float: right; }
.rojo { color: #FF5049 !important; }
.rojofocus:focus { border: 1px solid #FF5049 !important; }

.cabecero {
    height: 40vh;
    background-size: cover;
    background-position: center;
    position: relative;
    width: 100%;
    padding-top: 150px;
    padding-bottom: 100px;
    color: #fff;
    background: #7b4397;
    background: -webkit-gradient(linear, top, bottom, from(#7b4397), to(#dc2430));
    background: linear-gradient(to top, #7b4397, #dc2430)
}

.presupuesto {
    position: absolute;
    width: 350px;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    color: #fff;
}

.presupuesto_titulo{
    font-size: 20px;
    text-align: center;
    margin-bottom: 10px;
    font-weight: 300;
}

.presupuesto_valor {
    font-weight: 300;
    font-size: 46px;
    text-align: center;
    margin-bottom: 25px;
    letter-spacing: 2px;
}

.presupuesto_ingreso,
.presupuesto_egreso {
    padding: 12px;
    text-transform: uppercase;
}

.presupuesto_ingreso {
    margin-bottom: 10px;
    background-color: #28B9B5;
}

.presupuesto_egreso {
    background-color: #FF5049;
}

.presupuesto_ingreso--texto,
.presupuesto_egreso--texto {
    float: left;
    font-size: 13px;
    color: #fff;
    margin-top: 2px;
}

.presupuesto_ingreso--valor,
.presupuesto_egreso--valor {
    letter-spacing: 1px;
    float: left;
}

.presupuesto_ingreso--porcentaje,
.presupuesto_egreso--porcentaje {
    float: left;
    width: 34px;
    font-size: 11px;
    padding: 3px 0;
    margin-left: 10px;
}

.presupuesto_egreso--porcentaje {
    background-color: rgba(255, 255, 255, 0.2);
    text-align: center;
    border-radius: 3px;
}

.agregar {
    display: flex;
    flex-direction: row;
    padding: 14px;
    border-bottom: 1px solid #e7e7e7;
    background-color: #f7f7f7;
}

.agregar_contenedor {
    display: flex;
    margin: 0 auto;
    text-align: center;
}

.agregar_tipo {
    width: 100px;
    border: 1px solid #e7e7e7;
    border-radius: 5px;
    /* height: 44px; */
    font-size: 18px;
    color: inherit;
    background-color: #fff;
    margin-right: 10px;
    font-weight: 300;
    transition: border 0.3s;
    padding: 14px 10px;
    appearance: none;
    text-align: center;
}
.agregar_tipo::placeholder{ font-size: 18px;}
.alinear{
    text-align: left;
    color: #28B9B5;
}

.agregar_descripcion,
.agregar_valor {
    border: 1px solid #e7e7e7;
    background-color: #fff;
    color: inherit;
    font-family: inherit;
    font-size: 18px;
    padding: 13px 20px;
    margin-right: 10px;
    border-radius: 5px;
    transition: border 0.3s;
}
.agregar_valor{appearance: none;}
.borderojo{
    border: 1px solid tomato;
}

.agregar_descripcion { width: 400px;}
.agregar_valor { width: 150px;}

.btn_agregar {
    width: 123px;
    font-size: 37px;
    background: none;
    border: none;
    color: #28B9B5;
    cursor: pointer;
    /* display: inline-block; */
    /* vertical-align: middle; */
    /* padding: inherit; */
    /* line-height: 1.1; */
    /* margin: 10px !important; */
}

.btn_agregar:active { transform: translateY(2px); }

.agregar_tipo:focus,
.agregar_descripcion:focus,
.agregar_valor:focus {
    outline: none;
    border: 1px solid #28B9B5;
}

.agregar_btn:focus { outline: none; }

.contenedor {
    width: 860px;
    margin: 60px auto;
}

.ingreso {
    float: left;
    width: 370px;
    margin-right: 70px;
}

.egreso {
    float: left;
    width: 370px;
}

.btn_agregar{
    padding: 12px 23px;
    color: white;
    background: #28B9B5;
    border: none;
    border-radius: 4px;
    margin: auto;
    font-family: 'Noto Sans', sans-serif;
    font-size: 18px;
    box-shadow: 1px 1px 2px gray;
}

h2 {
    text-transform: uppercase;
    font-size: 18px;
    font-weight: 400;
    margin-bottom: 15px;
}

.ingreso_titulo { color: #28B9B5; text-align: center; font-weight: 700;}
.egreso_titulo { color: #FF5049;  text-align: center; font-weight: 700;}

.elemento {
    padding: 13px;
    border-bottom: 1px solid #e7e7e7;
}

.elemento:first-child { border-top: 1px solid #e7e7e7; }
.elemento:nth-child(even) { background-color: #f7f7f7; }

.elemento_descripcion {
    float: left;
}

.elemento_valor {
    float: left;
    transition: transform 0.3s;
}

.elemento_porcentaje {
    float: left;
    margin-left: 20px;
    transition: transform 0.3s;
    font-size: 11px;
    background-color: #FFDAD9;
    padding: 3px;
    border-radius: 3px;
    width: 45px;
    text-align: center;
}

.ingreso .elemento_valor,
.ingreso .elemento_eliminar--btn {
    color: #28B9B5;
}

.egreso .elemento_valor,
.egreso .elemento_porcentaje,
.egreso .elemento_eliminar--btn {
    color: #FF5049;
}


.elemento_eliminar {
    float: left;
}

.elemento_eliminar--btn {
    font-size: 22px;
    background: none;
    border: none;
    cursor: pointer;
    display: inline-block;
    vertical-align: middle;
    line-height: 1;
    display: none;
}
#forma{
    margin-top: 0;
    background: #f7f7f7;
}
.validacion{
    color: tomato;
    margin: 0 auto;
    padding-top: 5px;
    text-align: center;
    background: #f7f7f7;
}

.novisible{
    display: none;
}

.elemento_eliminar--btn:focus { outline: none; }
.elemento_eliminar--btn:active { transform: translateY(2px); }

.elemento:hover .elemento_eliminar--btn { display: block; }
.elemento:hover .elemento_valor { transform: translateX(-20px); }
.elemento:hover .elemento_porcentaje { transform: translateX(-20px); }

@media screen and (max-width: 496px){}

@media screen and (max-width: 470px) {

    .presupuesto{
        width: 100vw;
    }

    .presupuesto_ingreso{
        width: 92vw;
        margin: 7px auto;
        border-radius: 5px;
    }
    .presupuesto_egreso{
        width: 92vw;
        margin: 0 auto;
        border-radius: 5px;
    }
    .cabecero{
        height: 42vh;
        padding: 20px;
    }
    .presupuesto_titulo{
        font-size: 30px;
        font-weight: 700;
    }
    .contenedor{
        display: flex;
        flex-direction: column;
        justify-content: center;
        width: 96%;
        margin: 10px auto;
    }

    .agregar, .agregar_contenedor{
        width: 100%;
        display: flex;
        flex-direction: column;
        justify-content: center;
        align-items: center;
        /* padding: 10px; */
    }
    #forma input select{
        width: 100% !important;
        text-align: center;
    }
    #forma option{
        text-align: center;
    }
    .validacion{
        padding-top: 20px;
    }
    .agregar_descripcion, .agregar_valor, .agregar_tipo, .validacion-valor{
        width: 100%;
        margin: 7px auto;
        text-align: center;
    }
    .contenedor-boton{
        width: 92vw;
    }
    .btn_agregar{
        width: 100%;
        margin: 0 auto;
    }
    .egreso, .ingreso{
        width: 99%;
        margin: 30px auto;
        padding: 20px 5px 45px 5px;
        border: 1px solid #c7c7c7;
        border-radius: 8px;
        box-shadow: 2px 2px 4px #a7a7a7;
    }
}